# Uses of Interface
org.opensaml.xmlsec.KeyTransportAlgorithmPredicate

Packages that use KeyTransportAlgorithmPredicate
Package
Description
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of KeyTransportAlgorithmPredicate in org.opensaml.xmlsec

Methods in org.opensaml.xmlsec that return KeyTransportAlgorithmPredicate
Modifier and Type
Method
Description
`KeyTransportAlgorithmPredicate`
EncryptionConfiguration.`getKeyTransportAlgorithmPredicate()`
Get the instance of `KeyTransportAlgorithmPredicate`.

## Uses of KeyTransportAlgorithmPredicate in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as KeyTransportAlgorithmPredicate
Modifier and Type
Field
Description
`private KeyTransportAlgorithmPredicate`
BasicEncryptionConfiguration.`keyTransportPredicate`
Key transport algorithm predicate.
Methods in org.opensaml.xmlsec.impl that return KeyTransportAlgorithmPredicate
Modifier and Type
Method
Description
`KeyTransportAlgorithmPredicate`
BasicEncryptionConfiguration.`getKeyTransportAlgorithmPredicate()`
Get the instance of `KeyTransportAlgorithmPredicate`.
`protected KeyTransportAlgorithmPredicate`
BasicEncryptionParametersResolver.`resolveKeyTransportAlgorithmPredicate(CriteriaSet criteria)`
Resolve the optional effectively configured instance of `KeyTransportAlgorithmPredicate` to use.
Methods in org.opensaml.xmlsec.impl with parameters of type KeyTransportAlgorithmPredicate
Modifier and Type
Method
Description
`protected String`
BasicEncryptionParametersResolver.`resolveKeyTransportAlgorithm(Credential keyTransportCredential, List<String> keyTransportAlgorithms, String dataEncryptionAlgorithm, KeyTransportAlgorithmPredicate keyTransportPredicate)`
Determine the key transport encryption algorithm URI to use with the specified key transport credential and optional data encryption algorithm URI.
`BasicEncryptionConfiguration`
BasicEncryptionConfiguration.`setKeyTransportAlgorithmPredicate(KeyTransportAlgorithmPredicate predicate)`
Set the instance of `KeyTransportAlgorithmPredicate`.